Bug 171456 - [patch] upgrade graphics/ImageMagick to 6.7.9.3
[patch] upgrade graphics/ImageMagick to 6.7.9.3
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Tom Judge
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-08 16:40 UTC by 4721
Modified: 2012-09-11 02:20 UTC (History)
0 users

See Also:


Attachments
file.diff (4.49 KB, patch)
2012-09-08 16:40 UTC, 4721
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description 4721 2012-09-08 16:40:01 UTC
* remove obsolete header lines
* upgrade port version to latest
* sync list of mirrors with official list
* add LICENSE
* testing fixed (ImageMagick now requires the current version to be completely installed before tests can succeed)

Fix: Patch attached with submission follows:
Comment 1 Tom Judge freebsd_committer 2012-09-08 19:19:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tj

I'll take it.
Comment 2 dfilter freebsd_committer 2012-09-11 02:15:19 UTC
Author: tj
Date: Tue Sep 11 01:14:52 2012
New Revision: 304068
URL: http://svn.freebsd.org/changeset/ports/304068

Log:
  Update to 6.7.9.4.
  
  Change Log:
  
  http://www.imagemagick.org/script/changelog.php
  
  PR:		ports/171511
  PR:		ports/171456
  Submitted by:	4721@hushmail.com
  Approved by:	eadler (mentor)

Modified:
  head/graphics/ImageMagick/Makefile
  head/graphics/ImageMagick/distinfo
  head/graphics/ImageMagick/pkg-plist

Modified: head/graphics/ImageMagick/Makefile
==============================================================================
--- head/graphics/ImageMagick/Makefile	Mon Sep 10 20:56:53 2012	(r304067)
+++ head/graphics/ImageMagick/Makefile	Tue Sep 11 01:14:52 2012	(r304068)
@@ -1,21 +1,36 @@
-# New ports collection makefile for:	ImageMagick
-# Date created:		15 November 1994
-# Whom:			torstenb
-#
 # $FreeBSD$
-#
 
 PORTNAME=	ImageMagick
-DISTVERSION=	6.7.8-6
+DISTVERSION=	6.7.9-4
 CATEGORIES=	graphics perl5
-MASTER_SITES=	ftp://ftp.imagemagick.org/pub/ImageMagick/ \
+MASTER_SITES=	http://www.imagemagick.org/download/ \
+		http://servingzone.com/mirrors/ImageMagick/ \
+		http://mirror.checkdomain.de/imagemagick/ \
 		http://image_magick.veidrodis.com/image_magick/ \
+		http://imagemagick.spd.co.il/ \
+		http://www.champground.com/imagemagick/ \
+		http://ftp.surfnet.nl/pub/ImageMagick/ \
+		http://mirror.searchdaimon.com/ImageMagick/ \
+		http://mirror.is.co.za/pub/imagemagick/ \
+		http://imagemagick.mirrorcatalogs.com/ \
+		ftp://ftp.imagemagick.org/pub/ImageMagick/ \
+		ftp://mirror.aarnet.edu.au/pub/imagemagick/ \
+		ftp://mirror.checkdomain.de/imagemagick/ \
+		ftp://ftp.kddlabs.co.jp/graphics/ImageMagick/ \
+		ftp://ftp.u-aizu.ac.jp/pub/graphics/image/ImageMagick/imagemagick.org/ \
+		ftp://ftp.nluug.nl/pub/ImageMagick/ \
+		ftp://mirror.searchdaimon.com/ImageMagick/ \
+		ftp://sunsite.icm.edu.pl/packages/ImageMagick/ \
+		ftp://ftp.tpnet.pl/pub/graphics/ImageMagick/ \
 		ftp://ftp.sunet.se/pub/multimedia/graphics/ImageMagick/ \
-		ftp://ftp.nluug.nl/pub/ImageMagick/
+		ftp://ftp.is.co.za/pub/imagemagick/ \
+		ftp://ftp.fifi.org/pub/ImageMagick/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Image processing tools
 
+LICENSE=	AL2
+
 USE_XZ=		yes
 USE_PERL5=	yes
 USE_PKGCONFIG=	yes
@@ -371,8 +386,6 @@ post-patch:
 	@${REINPLACE_CMD} -e '/PERL/s|install && \\$$|pure_install \&\& \\|' \
 		-e 's/install-docDATA install-filters/install-filters/' \
 		${WRKSRC}/Makefile.in
-	@${REINPLACE_CMD} -e 's,!/bin/bash,!/bin/sh,g' -e 's,==,=,g' \
-		${WRKSRC}/tests/validate-colorspace.sh
 # remove the autogenerated Magick.c so it will be regenerated from
 # Magick.xs on _this_ system:
 	@${RM} -f ${WRKSRC}/PerlMagick/Magick.c
@@ -413,7 +426,7 @@ pre-configure:
 	@${ECHO_CMD} NOTICE: SVG format support disabled, requires X11
 .endif
 
-post-install:
+post-install: test
 .if ${PORT_OPTIONS:MPERL}
 	@${RM} -f ${PREFIX}/lib/perl5/${PERL_VERSION}/mach/perllocal.pod
 .endif
@@ -428,13 +441,8 @@ post-install:
 .endif
 
 test check:
-	cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} limits -m 20m ${MAKE} check
-
-.if !defined(_NO_IMAGEMAGICK_TESTS)
-regression-test:	test
-. if !defined(PACKAGE_BUILDING) && ${PORT_OPTIONS:MTESTS}
-post-build:	regression-test
-. endif
+.if (${PORT_OPTIONS:MTESTS} || defined(PACKAGE_BUILDING)) && !defined(_NO_IMAGEMAGICK_TESTS)
+	-cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} limits -m 20m ${MAKE} check
 .endif
 
 .include <bsd.port.post.mk>

Modified: head/graphics/ImageMagick/distinfo
==============================================================================
--- head/graphics/ImageMagick/distinfo	Mon Sep 10 20:56:53 2012	(r304067)
+++ head/graphics/ImageMagick/distinfo	Tue Sep 11 01:14:52 2012	(r304068)
@@ -1,2 +1,2 @@
-SHA256 (ImageMagick-6.7.8-6.tar.xz) = cb7817516b891dd0c02c7370fff8dd873e75b6e20e5022834d24d35cde46a040
-SIZE (ImageMagick-6.7.8-6.tar.xz) = 7820384
+SHA256 (ImageMagick-6.7.9-4.tar.xz) = b8f8abfb2899f219ce1010b863f6ee58695b5689180cb9857a44f61aa3e5bc81
+SIZE (ImageMagick-6.7.9-4.tar.xz) = 8368976

Modified: head/graphics/ImageMagick/pkg-plist
==============================================================================
--- head/graphics/ImageMagick/pkg-plist	Mon Sep 10 20:56:53 2012	(r304067)
+++ head/graphics/ImageMagick/pkg-plist	Tue Sep 11 01:14:52 2012	(r304068)
@@ -103,6 +103,7 @@ include/ImageMagick/magick/morphology.h
 include/ImageMagick/magick/option.h
 include/ImageMagick/magick/paint.h
 include/ImageMagick/magick/pixel.h
+include/ImageMagick/magick/pixel-accessor.h
 include/ImageMagick/magick/policy.h
 include/ImageMagick/magick/prepress.h
 include/ImageMagick/magick/profile.h
@@ -232,6 +233,8 @@ lib/ImageMagick-%%PORTVERSION%%/config/c
 %%MODULES%%lib/ImageMagick-%%PORTVERSION%%/modules-%%QBIT%%/coders/ipl.so
 %%JBIG%%%%MODULES%%lib/ImageMagick-%%PORTVERSION%%/modules-%%QBIT%%/coders/jbig.la
 %%JBIG%%%%MODULES%%lib/ImageMagick-%%PORTVERSION%%/modules-%%QBIT%%/coders/jbig.so
+%%MODULES%%lib/ImageMagick-%%PORTVERSION%%/modules-%%QBIT%%/coders/jnx.la
+%%MODULES%%lib/ImageMagick-%%PORTVERSION%%/modules-%%QBIT%%/coders/jnx.so
 %%JPEG2000%%%%MODULES%%lib/ImageMagick-%%PORTVERSION%%/modules-%%QBIT%%/coders/jp2.la
 %%JPEG2000%%%%MODULES%%lib/ImageMagick-%%PORTVERSION%%/modules-%%QBIT%%/coders/jp2.so
 %%JPEG%%%%MODULES%%lib/ImageMagick-%%PORTVERSION%%/modules-%%QBIT%%/coders/jpeg.la
@@ -1287,6 +1290,7 @@ libdata/pkgconfig/Wand.pc
 %%PORTDOCS%%%%DOCSDIR%%/www/api/cache-view.html
 %%PORTDOCS%%%%DOCSDIR%%/www/api/cache.html
 %%PORTDOCS%%%%DOCSDIR%%/www/api/cipher.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/channel.html
 %%PORTDOCS%%%%DOCSDIR%%/www/api/color.html
 %%PORTDOCS%%%%DOCSDIR%%/www/api/colormap.html
 %%PORTDOCS%%%%DOCSDIR%%/www/api/colorspace.html
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Tom Judge freebsd_committer 2012-09-11 02:17:27 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!